Get the results of the consignment metrics report as an xlsx file

Body·
application/json
  • carrierPartnerId
    Type: string | nullFormat: uuid

    The carrier partner to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • consignmentType
    Type: integerenum

    Integer numbers.

    values
    • PointToPoint = 0
    • Inwards = 1
    • Outwards = 2
  • dateFrom
    Type: stringFormat: date

    The start date in the consignment date range

  • dateTo
    Type: stringFormat: date

    The end date in the consignment date range

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/consignment-metrics/xlsx
curl https://api.consignlyhq.com/v1/reports/consignment-metrics/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "consignmentType": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
  "clientPartnerId": null,
  "carrierPartnerId": null,
  "warehouseId": null
}'
No Body